package com.ruoyi.project.training.spec.service;

import java.util.List;
import com.ruoyi.project.training.spec.domain.TStApprove;

/**
 * 专项培训计划申请Service接口
 * 
 * @author ly
 * @date 2022-04-18
 */
public interface ITStApproveService 
{
    /**
     * 查询专项培训计划申请
     * 
     * @param id 专项培训计划申请ID
     * @return 专项培训计划申请
     */
    public TStApprove selectTStApproveById(Long id);

    /**
     * 查询专项培训计划申请列表
     * 
     * @param tStApprove 专项培训计划申请
     * @return 专项培训计划申请集合
     */
    public List<TStApprove> selectTStApproveList(TStApprove tStApprove);

    /**
     * 新增专项培训计划申请
     * 
     * @param tStApprove 专项培训计划申请
     * @return 结果
     */
    public int insertTStApprove(TStApprove tStApprove);

    /**
     * 修改专项培训计划申请
     * 
     * @param tStApprove 专项培训计划申请
     * @return 结果
     */
    public int updateTStApprove(TStApprove tStApprove);

    /**
     * 批量删除专项培训计划申请
     * 
     * @param ids 需要删除的专项培训计划申请ID
     * @return 结果
     */
    public int deleteTStApproveByIds(Long[] ids);

    /**
     * 删除专项培训计划申请信息
     * 
     * @param id 专项培训计划申请ID
     * @return 结果
     */
    public int deleteTStApproveById(Long id);
}
